'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsCore = require('@lorisleiva/js-core');
var plugin = require('./plugin.cjs');

const createMetaplex = async (endpoint, rpcOptions, airdropAmount = jsCore.sol(100)) => {
  const metaplex = jsCore.createMetaplex().use(plugin.testPlugins(endpoint, rpcOptions));
  await metaplex.rpc.airdrop(metaplex.identity.publicKey, airdropAmount);
  return metaplex;
};
const generateSignerWithSol = async (context, airdropAmount = jsCore.sol(100)) => {
  const signer = jsCore.generateSigner(context);
  await context.rpc.airdrop(signer.publicKey, airdropAmount);
  return signer;
};

exports.testPlugins = plugin.testPlugins;
exports.createMetaplex = createMetaplex;
exports.generateSignerWithSol = generateSignerWithSol;
Object.keys(jsCore).forEach(function (k) {
  if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
    enumerable: true,
    get: function () { return jsCore[k]; }
  });
});
//# sourceMappingURL=index.cjs.map
