import { createMetaplex as createMetaplex$1, sol, generateSigner } from '@lorisleiva/js-core';
export * from '@lorisleiva/js-core';
import { testPlugins } from './plugin.mjs';
export { testPlugins } from './plugin.mjs';

const createMetaplex = async (endpoint, rpcOptions, airdropAmount = sol(100)) => {
  const metaplex = createMetaplex$1().use(testPlugins(endpoint, rpcOptions));
  await metaplex.rpc.airdrop(metaplex.identity.publicKey, airdropAmount);
  return metaplex;
};
const generateSignerWithSol = async (context, airdropAmount = sol(100)) => {
  const signer = generateSigner(context);
  await context.rpc.airdrop(signer.publicKey, airdropAmount);
  return signer;
};

export { createMetaplex, generateSignerWithSol };
//# sourceMappingURL=index.mjs.map
